# GccCompatibleToolChain

API Documentation: | `GccCompatibleToolChain`

Known Subtypes: |
`Gcc`
`Clang`

Note: This class is incubating and may change in a future version of Gradle.

A ToolChain that can handle additional platforms simply by configuring the NativeBinary.

### Properties

Property | Description
`path` | Incubating The paths setting required for executing the tool chain. These are used to locate tools for this tool chain, and are prepended to the system PATH when executing these tools.

### Methods

Method | Description
`path(pathEntries)` | Incubating Append an entry or entries to the tool chain path.

### Script blocks

No script blocks

### Property details

#### ``List`<`File`>` `path` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The paths setting required for executing the tool chain. These are used to locate tools for this tool chain, and are prepended to the system PATH when executing these tools.

### Method details

#### `void` `path`(``Object`...` pathEntries)

Note: This method is incubating and may change in a future version of Gradle.

Append an entry or entries to the tool chain path.